local old_init = WeaponFactoryTweakData.init
function WeaponFactoryTweakData:init(tweak_data)
    old_init(self, tweak_data)
    self.parts.wpn_fps_upg_o_xpsg33_magnifier.stats.gadget_zoom = 10
    self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod = {
            wpn_fps_ass_m4 = {
                translation = Vector3(0, -9, -0.58)
            },
            wpn_fps_ass_amcar = {
                translation = Vector3(0, -4, -0.1)
            },
            wpn_fps_ass_m16 = {
                translation = Vector3(0, -9, -0.12)
            },
            wpn_fps_smg_olympic = {
                translation = Vector3(0, -4, -0.12)
            },
            wpn_fps_ass_74 = {
                translation = Vector3(0, -4, -3.1)
            },
            wpn_fps_ass_akm = {
                translation = Vector3(0, -9, -3.2)
            },
            wpn_fps_ass_akm_gold = {
                translation = Vector3(0, -9, -3.2)
            },
            wpn_fps_shot_saiga = {
                translation = Vector3(0, -4, -3)
            },
            wpn_fps_shot_r870 = {
                translation = Vector3(0.01, -4, -3.3)
            },
            wpn_fps_shot_serbu = {
                translation = Vector3(0, -4, -3.3)
            },
            wpn_fps_smg_akmsu = {
                translation = Vector3(-0.028, -4, -3.35)
            },
            wpn_fps_ass_ak5 = {
                translation = Vector3(0.025, -4, -3.725)
            },
            wpn_fps_ass_aug = {
                translation = Vector3(0, -4, -2.8)
            },
            wpn_fps_ass_g36 = {
                translation = Vector3(0, -4, -3)
            },
            wpn_fps_smg_p90 = {
                translation = Vector3(0, -4, -2.97)
            },
            wpn_fps_ass_m14 = {
                translation = Vector3(-0.04, -9, -3.87)
            },
            wpn_fps_smg_mp9 = {
                translation = Vector3(0, -4, -3.47)
            },
            wpn_fps_smg_mp5 = {
                translation = Vector3(0, -4, -3)
            },
            wpn_fps_smg_mac10 = {
                translation = Vector3(0, -14, -3)
            },
            wpn_fps_ass_s552 = {
                translation = Vector3(-0.08, -4, -2.1)
            },
            wpn_fps_smg_m45 = {
                translation = Vector3(0, -4, -3.9)
            },
            wpn_fps_smg_mp7 = {
                translation = Vector3(0, -4, -2.8)
            },
            wpn_fps_ass_scar = {
                translation = Vector3(0, -4, -0.25)
            },
            wpn_fps_pis_rage = {
                translation = Vector3(-0.05, -14, -4.65)
            },
            wpn_fps_pis_deagle = {
                translation = Vector3(0, -14, -4.25),
                rotation = Rotation(0, -0.5, 0)
            },
            wpn_fps_snp_m95 = {
                translation = Vector3(0, -2, -3.8)
            },
            wpn_fps_snp_msr = {
                translation = Vector3(0, -10, -3.55)
            },
            wpn_fps_snp_r93 = {
                translation = Vector3(-0.022, -6, -3.782)
            },
            wpn_fps_ass_fal = {
                translation = Vector3(0, 0, -3.5)
            },
            wpn_fps_sho_ben = {
                translation = Vector3(0, -4, -3.2)
            },
            wpn_fps_sho_striker = {
                translation = Vector3(0, -4, -2.8)
            },
            wpn_fps_sho_ksg = {
                translation = Vector3(0, -4, -1.3)
            },
            wpn_fps_smg_scorpion = {
                translation = Vector3(0, -9, -5.2)
            },
            wpn_fps_smg_tec9 = {
                translation = Vector3(0, -2, -5),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_uzi = {
                translation = Vector3(0, -2, -5.1)
            },
            wpn_fps_pis_judge = {
                translation = Vector3(-0.02, -9, -5.406)
            },
            wpn_fps_ass_g3 = {
                translation = Vector3(0.025, -2, -3.42)
            },
            wpn_fps_ass_galil = {
                translation = Vector3(-0.01, -4, -3.25)
            },
            wpn_fps_ass_famas = {
                translation = Vector3(0, 8, -6.2)
            },
            wpn_fps_sho_spas12 = {
                translation = Vector3(-0.2, -4, -3.9)
            },
            wpn_fps_smg_sterling = {
                translation = Vector3(0, -8, -3.61)
            },
            wpn_fps_snp_mosin = {
                translation = Vector3(0, -32, -4.3)
            },
            wpn_fps_smg_thompson = {
                translation = Vector3(0, -23, -4.2)
            },
            wpn_fps_ass_l85a2 = {
                translation = Vector3(0, 7, 1.85)
            },
            wpn_fps_ass_vhs = {
                translation = Vector3(-0.01, -3, -1.205)
            },
            wpn_fps_rpg7 = {
                translation = Vector3(0, 6, 0.04),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_sho_aa12 = {
                translation = Vector3(-0.01, -4, 0.07),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_gre_m32 = {
                translation = Vector3(0, 7, -3.5),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_polymer = {
                translation = Vector3(0, 3, -0.65),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_snp_wa2000 = {
                translation = Vector3(0, -7, 0.75),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_snp_model70 = {
                translation = Vector3(0, -9, -4.05),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_shot_m37 = {
                translation = Vector3(0, -9, -4.05),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_sr2 = {
                translation = Vector3(0, 5, -4.6),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_ass_tecci = {
                translation = Vector3(-0.01, 5, -1.7),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_hajk = {
                translation = Vector3(0, 5, -0.5),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_snp_desertfox = {
                translation = Vector3(0, -16, -3.9),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_schakal = {
                translation = Vector3(0, -4, -2.8),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_sho_rota = {
                translation = Vector3(0, -4, -0.4),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_gre_arbiter = {
                translation = Vector3(0, -4, -0.4),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_ass_contraband = {
                translation = Vector3(-0.01, 6, -1.7),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_snp_tti = {
                translation = Vector3(0, 5, -0.1),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_snp_siltstone = {
                translation = Vector3(0, 10, -4.04),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_ass_flint = {
                translation = Vector3(0, 6, -2.65),
                rotation = Rotation(0, 0, 0)
            },
            wpn_fps_smg_coal = {
                translation = Vector3(0, 6, -4),
                rotation = Rotation(0, 0, 0)
            }
        }
end